aboutsummaryrefslogtreecommitdiffstats
path: root/tools
diff options
context:
space:
mode:
authorDmitry Vyukov <dvyukov@google.com>2020-09-13 18:46:42 +0200
committerDmitry Vyukov <dvyukov@google.com>2020-09-13 19:28:47 +0200
commitc52d06e41031046b8e2a1782418fbd85f469455c (patch)
treec8e9aa4006ea76bc05281a3c089621c4245c6621 /tools
parent84b0c3d8f691db95f297d14065269edb9cd2e0d6 (diff)
sys/linux/test: mark f2fs tests as manual
Introduce "manual" requirement for tests (only run if explicitly selected) and mark f2fs tests as manual. There are too many of them. Follow up to #2032
Diffstat (limited to 'tools')
-rwxr-xr-xtools/create_f2fs_image.sh11
1 files changed, 10 insertions, 1 deletions
diff --git a/tools/create_f2fs_image.sh b/tools/create_f2fs_image.sh
index 99023ac18..006592644 100755
--- a/tools/create_f2fs_image.sh
+++ b/tools/create_f2fs_image.sh
@@ -2,6 +2,11 @@
# Copyright 2020 syzkaller project authors. All rights reserved.
# Use of this source code is governed by Apache 2 LICENSE that can be found in the LICENSE file.
+# This script generates sys/linux/test/syz_image_mount_f2fs_* files.
+# Requires f2fs-tools package to be installed.
+
+set -eu
+
declare -a Op1=("-a 0 " "-a 1 ")
declare -a Op2=("-s 1 " "-s 2 ")
declare -a Op3=("-m " "")
@@ -18,7 +23,11 @@ for op1 in "${Op1[@]}"; do
echo mkfs.f2fs ${op1}${op2}${op3}${op4} disk.raw
fallocate -l 64M disk.raw
mkfs.f2fs "${op1}${op2}${op3}${op4}" disk.raw
- go run "$dir/syz-imagegen/imagegen.go" -image=./disk.raw -fs=f2fs > "$dir/../sys/linux/test/syz_image_mount_f2fs_$dex"
+ out="$dir/../sys/linux/test/syz_image_mount_f2fs_$dex"
+ echo "# Code generated by tools/create_f2fs_image.sh. DO NOT EDIT." > $out
+ echo "# requires: manual" >> $out
+ echo >> $out
+ go run "$dir/syz-imagegen/imagegen.go" -image=./disk.raw -fs=f2fs >> $out
rm disk.raw
dex=dex+1
done